Base URLhttps://app.mk.iov1.2.919 endpointsOpenAPI 3.0.2

Overview

The MK.IO Fleet API is the project-level REST API for MK.IO Beam device fleet operations. It supports device administration use cases, including inventory management, backup lifecycle operations, restore actions, service updates, and software tracking.

Authentication

All endpoints require a bearer token in the Authorization header: Authorization: Bearer <your_token>

You can create and manage your tokens in your profile settings under Your personal API tokens. Follow the API tokens guide for more information.

Usage

Base URL: https://app.mk.io

Typical usage pattern:

  • List devices and fleet state.
  • Create, upload, or retrieve backups.
  • Run restore and software operations.

Endpoints

Devices19 endpoints
getGet all backups for a project/api/v1/projects/{project_name}/fleet/backupsgetGet backup details/api/v1/projects/{project_name}/fleet/backups/{backup_id}patchRename device backup/api/v1/projects/{project_name}/fleet/backups/{backup_id}delDelete device backup/api/v1/projects/{project_name}/fleet/backups/{backup_id}getGet device backup/api/v1/projects/{project_name}/fleet/backups/{backup_id}/configgetList Devices/api/v1/projects/{project_name}/fleet/devicesgetGet Device/api/v1/projects/{project_name}/fleet/devices/{name}putCreate Device/api/v1/projects/{project_name}/fleet/devices/{name}patchUpdate Device/api/v1/projects/{project_name}/fleet/devices/{name}delDelete Device/api/v1/projects/{project_name}/fleet/devices/{name}postCreate device backup/api/v1/projects/{project_name}/fleet/devices/{name}/backuppostRemove selected services from device/api/v1/projects/{project_name}/fleet/devices/{name}/removeServicespostRestore device backup/api/v1/projects/{project_name}/fleet/devices/{name}/restoregetList Devices/api/v1/projects/{project_name}/fleet/devices/{name}/softwaregetList support packages for a device/api/v1/projects/{project_name}/fleet/devices/{name}/supportPackagespostTrigger support package creation on a device/api/v1/projects/{project_name}/fleet/devices/{name}/supportPackagesgetDownload a support package/api/v1/projects/{project_name}/fleet/devices/{name}/supportPackages/{package_name}delDelete a support package/api/v1/projects/{project_name}/fleet/devices/{name}/supportPackages/{package_name}postUpload/override a backup tar.gz and generate metadata/api/v1/projects/{project_name}/fleet/uploadBackup